/* modal__backdrop*/
.info-modal__backdrop,
.ew-complete-modal__backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: var(--modal-backdrop);
}

/* modal__body */

/* modal content */
.modal-content-div {
  max-width: 21.5rem;
}
.modal-content-div p {
  margin-bottom: 1.5rem;
}
.modal-content-div a {
  display: inline-flex;
  color: var(--blue);
  font-family: "Avenir Next Bold";
}
.modal__body ul li {
  margin-bottom: 0.5rem;
}
.modal__body ul li::before {
  content: url("/assets/payment-check.svg");
  margin-right: 0.44rem;
}
.modal__close,
.modal__close-light {
  position: absolute;
  top: 1rem;
  right: 1rem;
  width: 1.5rem;
  height: 1.5rem;
  cursor: pointer;
  border: none;
  background: url("/assets/icons/x-close.svg");
  z-index: 9;
}

.modal__close-light {
  background: url("/assets/icons/x-close-white.svg");
}

.info-modal-close {
  position: fixed;
}

#installation-images .slick-track {
  width: 110rem !important;
}

@media (max-width: 400px) {
  #stepTwoModal .info-modal-content {
    top: 0%;
    width: 23.5rem;
  }
}

@media (min-width: 401px) and (max-width: 525px) {
  #stepTwoModal .info-modal-content {
    top: 0%;
    width: 25.9rem;
  }
}

@media (max-width: 599px) {
  #img-one {
    margin-left: 1.5rem;
  }
}

@media (max-width: 525px) {
  .size-button-container {
    font-size: 1rem;
    line-height: 150%;
    font-weight: 400;
    display: flex;
    width: 100%;
  }

  #installation-images .slick-track {
    width: unset !important;
  }

  .size-option {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    width: 25%;
    cursor: pointer;
    padding-top: 1rem;
  }

  .size-option .active {
    font-size: 1rem;
    line-height: 24px;
    font-family: "Avenir Next Bold";
    color: var(--char);
    font-weight: 700;
  }

  .size-inactive-indicator {
    border-radius: 0.25rem;
    min-height: 2px;
    max-height: 2px;
    width: 100%;
    background: var(--smoke);
    margin-top: 1rem;
  }

  .size-active-indicator {
    border-radius: 0.25rem;
    min-height: 0.25rem;
    max-height: 0.25rem;
    width: 5rem;
    background: var(--blue);
    z-index: 100;
    position: absolute;
  }

  .size-option h3 {
    margin-bottom: 0;
  }

  #stepTwoModal .info-modal-content {
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
    overflow-x: hidden;
    overflow-y: hidden;
    top: 0%;
    left: 0%;
  }

  .example-images {
    max-width: 20.5rem;
    max-height: 15rem;
  }

  .real-installations {
    width: 100%;
    height: 5rem;
  }

  .draggable {
    padding-top: 2rem;
  }

  .example-images {
    margin: 0.5rem;
  }

  .step-two-modal {
    width: 40rem;
    height: 40rem;
  }

  #installation-images {
    display: flex;
  }

  #installation-images button {
    height: 2rem;
    margin-top: 30%;
  }

  .mobile-installation-images img {
    border-radius: 1.75rem;
  }
  .example-images-mob {
    margin: 0.75rem 0rem;
  }
  #img-one-mob {
    margin-top: 2.5rem;
  }
  #modal-two-header {
    width: 100%;
    padding-top: 3rem;
    position: fixed;
    background-color: white;
    margin-bottom: 0.5rem;
    padding-bottom: 0.5rem;
  }

  .example-gallery {
    width: 100%;
    margin-top: 5.5rem;
  }

  .disable-click {
    pointer-events: none;
  }

  #installation-images {
    display: none;
  }

  #examplePicsNav {
    display: none;
  }
  .mobile-installation-images {
    display: flex;
    flex-direction: column;
    align-items: center;
    overscroll-behavior-x: none;
  }
  .option-container {
    padding-top: 2.5rem;
    position: unset;
  }

  #stepOneModal,
  #stepTwoModal,
  #stepThreeModal,
  #stepFourModal {
    height: 0;
    width: 100%;
    position: fixed;
    z-index: 1;
    bottom: 0;
    left: 0;
    overflow-y: scroll;
  }

  #stepOneModal {
    transition: 0.3s;
    display: flex;
    animation-timing-function: ease-in;
    animation-duration: 300ms;
  }
  #stepTwoModal,
  #stepThreeModal,
  #stepFourModal {
    transition: 0.5s;
    display: flex;
  }
}

#modal-two-header {
  width: 100%;
}

.size-button-container {
  padding-top: 0;
}

#modal-two-header h3 {
  margin-bottom: 0;
}

.modalContainer {
  width: 100%;
  position: relative;
}
/* end of mobile */

/* Info Modals */
/* mobile view */
.info-modal {
  z-index: var(--z-index-modal);
  justify-content: center;
}
.info-modal-content {
  width: 100%;
  background: var(--white);
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  box-shadow: 0px 12px 32px -4px var(--box-shadow);
  top: 0;
  transition: 0.5s;
  animation: fadeIn ease 0.5s;
  -webkit-animation: fadeIn ease 0.5s;
  -moz-animation: fadeIn ease 0.5s;
  -o-animation: fadeIn ease 0.5s;
  -ms-animation: fadeIn ease 0.5s;
}

/* .modal__close { */
.info-modal__backdrop,
.info-modal-close {
  display: none;
}

.uplift-modal .info-modal__backdrop,
.ew-complete-modal .ew-complete-modal__backdrop {
  display: block;
  z-index: 9;
}

.modal__back {
  position: absolute;
  width: 1.5rem;
  height: 1.5rem;
  top: 1rem;
  left: 1rem;
  background: url("/assets/icons/arrow-left.svg");
  border: none;
}
.modal__back-light {
  background: url("/assets/icons/modal-arrow-left-white.svg");
}
.modal-button-container {
  padding: 2rem;
  padding-bottom: 0;
  position: absolute;
  left: 0;
  z-index: 99;
}

/* Finance modal mobile */
.finance-section {
  display: none;
}
#due-today-impact {
  font-size: 0.75rem;
  width: 4.75rem;
  background: linear-gradient(97.79deg, #007aff 0%, #00e0ff 139.1%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-align: end;
}
.option-container {
  display: flex;
  flex-direction: row;
  height: 6.25rem;
  width: 100%;
  position: fixed;
  background: white;
  z-index: 8;
  cursor: pointer;
}
.cash-button,
.finance-button {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  width: 50%;
}
.modal-position-indicator-cash {
  content: url("/assets/payment-indicator-mobile.svg");
  margin-bottom: 0.5rem;
}
/* .info-modal-content h3 {
  font-size: 1rem;
  color: var(--char);
} */
.info-modal p {
  color: var(--ash);
  line-height: 1.5rem;
}
#cashBtnInactive,
#financeBtnActive {
  display: none;
}
#financeBtnInactive,
#cashBtnInactive {
  margin-bottom: 1rem;
}
.indicator-active {
  width: 100%;
  height: .25rem;
  background: var(--blue);
  border-radius: 2px;
}
.indicator-inactive {
  width: 100%;
  height: 2px;
  background: var(--smoke);
  border-radius: 2px;
}
.cash-section {
  display: flex;
  flex-direction: row;
  width: 100%;
  padding: 1rem 1.5rem 1rem 1.5rem;
  min-height: 31.5rem;
  margin-top: 8rem;
}
.cash-section h3 {
  margin-bottom: 0.1rem;
}
.cash-section-4 {
  margin-top: 1.3rem;
}
.cash-section-container {
  margin: 0.1rem 0 0 1rem;
  width: 100%;
}
.cash-section-info {
  display: flex;
  flex-direction: column;
}
.cash-section-info helper {
  font-size: 0.75rem;
  line-height: 150%;
  width: 17rem;
}
@media (max-width: 525px) {
  .cash-section-info helper {
    width: 13rem;
  }

  .info-modal-content.location-info-modal {
    height: 100%;
  }
}

.cash-section-title {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
}
.cash-section-p {
  display: flex;
  flex-direction: row;
  margin-bottom: 1.55rem;
  width: 13.75rem;
}
.cash-section-1-p p {
  width: 13.75rem;
}
.cash-section-1-p {
  display: flex;
  width: 100%;
  justify-content: space-between;
}
.cash-section-divider {
  width: 100%;
  border-radius: 2px;
  border: 1px solid var(--fog);
}
.modal-dollar {
  position: relative;
}
.modal-dollar::before {
  content: url("/assets/icons/dollar-sign-sm.svg");
  position: absolute;
  top: -0.15rem;
  left: -0.5rem;
}
.payment-due-today-span {
  font-size: 0.75rem;
  width: 4.75rem;
  background: linear-gradient(97.79deg, #007aff 0%, #00e0ff 139.1%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-align: end;
}
.finance-section {
  padding: 1rem 1.5rem 1.5rem 1.5rem;
}
.finance-section-p {
  margin-bottom: 1.5rem;
}
.cash-section,
.finance-section {
  margin-top: 7.5rem;
  z-index: 1;
}
.payment-modal-footer,
.installation-modal-footer {
  padding: 1.5rem 1rem;
  background: var(--info-modal-footer);
  margin: 2rem 1.5rem 3rem 1.5rem;
  border-radius: 1rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.payment-modal-footer .eyebrow,
.installation-modal-footer .eyebrow {
  font-family: "Avenir Next Bold";
  margin-bottom: 0.25rem;
  font-synthesis: none;
}

.installation-modal-footer img {
  margin-bottom: 1.5rem;
}
.installation-modal-footer p {
  width: 18.5rem;
  justify-content: center;
}

/* installation modal mobile */
.installation-image {
  width: 100%;
  content: url("/assets/impact-installation-modal-mobile.webp");
  object-fit: cover;
}
.marketing-image,
.marketing-image-personal {
  width: 100%;
  content: url("/assets/impact-marketing-modal-mobile.webp");
  object-fit: cover;
}
.marketing-image-personal {
  content: url("/assets/marketing/services/services-custom-wraps-hero.webp");
}
.installation-modal-info-container {
  padding: 1.5rem 1.5rem 0 1rem;
}
.installation-modal-info-container p {
  margin-bottom: 1rem;
}
.info-modal-check {
  content: url("/assets/icons/payment-check-black.svg");
  margin: -0.1rem 0.5rem 0rem 0;
}
.installation-modal-section {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
}
.modal-design-deposit-container {
  display: flex;
}
.cash-section-2-title,
.cash-section-4-title {
  margin-top: 0.5rem;
}
.cash-section-3-title {
  margin-top: 0.5rem;
}
.modal-phone-number {
  color: var(--blue);
}
#stepOneCta,
#stepTwoCta,
#stepThreeCta,
#stepFourCta {
  cursor: pointer;
}

#installation-images .draggable {
  height: 280px;
}

/* tablet */
/* desktop */
/* Finance modal tablet */

@media (min-width: 525px) {
  .info-modal {
    height: auto;
    align-items: center;
  }
  .info-modal-content {
    border-radius: 1rem;
    height: auto;
    position: absolute;
    width: 33.5rem;
    padding: 2rem;
    z-index: 9999;
    top: 2rem;
  }
  .payment-modal-content {
    min-height: 51.875rem;
    max-height: 51.875rem;
  }
  .option-container {
    height: auto;
    padding-top: 3rem;
    z-index: -1;
    margin-bottom: 1rem;
  }
  .info-modal__backdrop,
  .ew-complete-modal__backdrop {
    z-index: 2000;
  }
  .installation-modal-content,
  .marketing-modal-content {
    padding: 0;
  }
  .payment-modal-footer {
    padding: 1.5rem 4.75rem;
    position: absolute;
    bottom: 0;
    left: 2.75rem;
    right: 2.75rem;
    margin: 2rem 0 3rem 0;
  }
  .installation-image {
    content: url("/assets/impact-installation-modal-desktop.webp");
    border-radius: 1rem 1rem 0 0;
    height: 17rem;
    object-fit: cover;
  }
  .marketing-image,
  .marketing-image-personal {
    content: url("/assets/impact-marketing-modal-desktop.webp");
    border-radius: 1rem 1rem 0 0;
    height: 17rem;
    object-fit: cover;
  }
  .marketing-image-personal {
    content: url("/assets/marketing/services/services-custom-wraps-hero.webp");
  }
  .cash-section {
    align-items: flex-start;
    min-height: auto;
  }
  .step-one-modals {
    min-height: 51.875rem;
  }
  .cash-section-container {
    margin-top: 0;
  }
  .installation-modal-info-container {
    padding: 2rem 2.5rem 0 2.5rem;
  }
  .installation-modal-footer {
    margin: 1rem 0 2.5rem 0;
    padding: 1rem 3.5rem;
  }
  .modal-position-indicator-cash {
    content: url("/assets/payment-indicator-desktop.svg");
  }
  .info-modal__backdrop,
  .ew-complete-modal__backdrop {
    display: block;
  }
  .modal__close {
    display: block;
  }
  .info-modal-close {
    position: absolute;
  }
  .modal__back {
    display: none;
  }
  .center-img {
    width: 100%;
  }
  .cash-section,
  .finance-section {
    margin-top: 0;
  }

  .option-container {
    position: static;
  }

  .cash-section p {
    width: 16.75rem;
  }
  .cash-section-p {
    width: 16.75rem;
  }
  .cash-section-1-p {
    width: 100%;
  }
  .cash-section-2-title,
  .cash-section-3-title,
  .cash-section-4-title {
    margin-top: 0.5rem;
  }

  /* Step Two Modal [desktop/tablet] */
  .size-button-container {
    font-size: 1rem;
    line-height: 150%;
    font-weight: 400;
    display: flex;
    width: 100%;
    padding-top: 2rem;
  }

  .size-option {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    width: 25%;
    cursor: pointer;
    padding-top: 1.25rem;
    color: var(--ash);
  }

  .size-option .active {
    font-size: 1rem;
    line-height: 1.5rem;
    font-family: "Avenir Next Bold";
    color: var(--char);
    font-weight: 700;
  }

  .size-inactive-indicator {
    border-radius: 0.25rem;
    min-height: 2px;
    max-height: 2px;
    width: 11rem;
    background: var(--smoke);
    margin-top: 1rem;
    margin-left: 1px;
  }

  .size-active-indicator {
    border-radius: 0.25rem;
    min-height: 0.25rem;
    max-height: 0.25rem;
    width: 8rem;
    background: var(--blue);
    z-index: 1001;
    position: absolute;
  }

  .example-gallery h3 {
    margin-bottom: 0;
  }

  #large-p {
    display: none;
  }

  #small-h3,
  #med-h3,
  #full-h3 {
    display: none;
  }

  #mobile-installation-images {
    display: none;
  }

  .example-images {
    max-width: 26rem;
    max-height: 16.5rem;
  }

  #examplePicsNav .slick-current {
    display: none;
  }

  #examplePicsNav .slick-track {
    width: 31.5rem !important;
    transform: none !important;
    margin-left: 1.45rem;
  }

  #examplePicsNav .slick-list {
    padding-top: 0;
  }

  #examplePicsNav .slick-slide {
    width: 8rem !important;
    height: unset;
  }

  .real-installations {
    width: 100%;
    height: 5rem;
  }

  .draggable {
    padding-top: 1rem;
  }

  #stepTwoModal .info-modal-content {
    background: var(--white);
    top: 2rem;
    padding-left: 1.8rem;
  }

  .example-images {
    margin: 0.5rem;
  }

  .step-two-modal {
    width: 33.5rem;
    margin: 0 auto;
  }

  .step-two-modal button {
    font-synthesis: none;
  }

  #installation-images {
    display: flex;
  }

  #installation-images button {
    height: 2rem;
    margin-top: 30%;
    width: 1.125rem;
  }

  .center-img img {
    width: 416px;
    position: absolute;
    left: 1.5rem;
  }

  #installation-images .slick-slide {
    padding-left: 0.3rem;
  }

  .example-images {
    border-radius: .5rem;
    object-fit: cover;
  }

  .example-gallery {
    width: 100%;
  }

  .disable-click {
    pointer-events: none;
  }

  .slick-next {
    width: 1.875rem;
    margin-top: 10rem;
    color: transparent;
    background-color: transparent;
    border: none;
  }

  .slick-next:before {
    content: url("/assets/icons/chevron-right.svg");
  }

  .slick-prev {
    width: 1.375rem;
    margin-top: 10rem;
    color: transparent;
    background-color: transparent;
    border: none;
  }

  .slick-prev::before {
    content: url("/assets/icons/chevron-left.svg");
    margin-left: -3px;
  }
}
